Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » Error installing into Java EE Windows 64-bit package
Error installing into Java EE Windows 64-bit package [message #701440] Mon, 25 July 2011 05:41 Go to next message
Stanimir Stamenkov is currently offline Stanimir Stamenkov
Messages: 254
Registered: July 2009
Senior Member
I'm getting the following error trying to install latest
Subversive [1] into the Indigo Java EE Windows 64-bit [2]
package:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.team.svn.core,0.7.9.I20110724-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn,0.7.9.I20110724-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.help,0.7.9.I20110715-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.ui,0.7.9.I20110715-1700

However it appears to install fine in the Java EE Windows 32-bit
package, and in other Windows 64-bit packages like the pure
Platform Runtime Binary [3] or Eclipse IDE for Java Developers [4].
Is this a problem of the Java EE Windows 64-bit package, or
Subversive one?

[1] http://download.eclipse.org/technology/subversive/0.7/headless-update-site/
[2] http://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/indigor
[3] http://download.eclipse.org/eclipse/downloads/drops/R-3.7-201106131736/index.php#PlatformRuntime
[4] http://www.eclipse.org/downloads/packages/eclipse-ide-java-developers/indigor

--
Stanimir
Error installing into Java EE Windows 64-bit package [message #706459 is a reply to message #701440] Sun, 31 July 2011 10:44 Go to previous messageGo to next message
Stanimir Stamenkov is currently offline Stanimir Stamenkov
Messages: 254
Registered: July 2009
Senior Member
[Cross-posting to eclipse.webtools, Followup-To set]

I hope eclipse.webtools is suitable for issues related to the
Eclipse IDE for Java EE Developers package. Do anyone have idea
what the original problem (see below) might be caused from?

I've corrected the actual Subversive [1] reference used, given in
the original post, here:

was: http://download.eclipse.org/technology/subversive/0.7/headless-update-site/

is: http://download.eclipse.org/technology/subversive/0.7/update-site/

-------- Original Message --------
From: Stanimir Stamenkov
Newsgroups: eclipse.technology.subversive
Subject: Error installing into Java EE Windows 64-bit package
Date: Mon, 25 Jul 2011 08:41:35 +0300

I'm getting the following error trying to install latest
Subversive [1] into the Indigo Java EE Windows 64-bit [2]
package:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.team.svn.core,0.7.9.I20110724-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn,0.7.9.I20110724-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.help,0.7.9.I20110715-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.ui,0.7.9.I20110715-1700

However it appears to install fine in the Java EE Windows 32-bit
package, and in other Windows 64-bit packages like the pure
Platform Runtime Binary [3] or Eclipse IDE for Java Developers [4].
Is this a problem of the Java EE Windows 64-bit package, or
Subversive one?

[1] http://download.eclipse.org/technology/subversive/0.7/update-site/
[2] http://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/indigor
[3] http://download.eclipse.org/eclipse/downloads/drops/R-3.7-201106131736/index.php#PlatformRuntime
[4] http://www.eclipse.org/downloads/packages/eclipse-ide-java-developers/indigor

--
Stanimir
Re: Error installing into Java EE Windows 64-bit package [message #708756 is a reply to message #706459] Wed, 03 August 2011 06:07 Go to previous messageGo to next message
Stanimir Stamenkov is currently offline Stanimir Stamenkov
Messages: 254
Registered: July 2009
Senior Member
[Cross-posted to eclipse.technology.subversive, Followup-To:
eclipse.webtools]

Sun, 31 Jul 2011 13:44:53 +0300, /Stanimir Stamenkov/:

> I'm getting the following error trying to install latest
> Subversive [1] into the Indigo Java EE Windows 64-bit [2]
> package:
>
> An error occurred while collecting items to be installed
> session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
> No repository found containing: osgi.bundle,org.eclipse.team.svn.core,0.7.9.I20110724-1700
> No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn,0.7.9.I20110724-1700
> No repository found containing: osgi.bundle,org.eclipse.team.svn.help,0.7.9.I20110715-1700
> No repository found containing: osgi.bundle,org.eclipse.team.svn.ui,0.7.9.I20110715-1700

For what is worth, I've now opened:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=353682

--
Stanimir
Re: Error installing into Java EE Windows 64-bit package [message #777093 is a reply to message #708756] Mon, 09 January 2012 20:38 Go to previous messageGo to next message
Robert Emmons is currently offline Robert Emmons
Messages: 28
Registered: July 2009
Junior Member
I'm also trying to install subversive through Eclipse's software install, using this site:

Subversive Site - http://download.eclipse.org/technology/subversive/0.7/update-site/

I'm running 64-bit Eclipse Indigo SR1 on Windows 7.

I'm getting the error message below. How can I get Subversive installed?



An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.team.svn.core,0.7.9.I20111123-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn,0.7.9.I20111123-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.nl1,0.7.9.I20111119-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.nl1.sources,0.7.9.I20111119-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.nl1.sources,0.7.9.I20111119-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.resource.ignore.rules.jdt,0.7.9.I20111119-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.resource.ignore.rules.jdt,0.7.9.I20111119-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.resource.ignore.rules.jdt.source,0.7.9.I20111119-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.resource.ignore.rules.jdt.source,0.7.9.I20111119-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.revision.graph,0.7.9.I20111123-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.revision.graph,0.7.9.I20111123-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.revision.graph.source,0.7.9.I20111123-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.revision.graph.source,0.7.9.I20111123-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.source,0.7.9.I20111123-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.sources,0.7.9.I20111123-1700
No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.sources,0.7.9.I20111123-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.ui,0.7.9.I20111123-1700
No repository found containing: osgi.bundle,org.eclipse.team.svn.ui.nl1,0.7.9.I20111119-1700
Re: Error installing into Java EE Windows 64-bit package [message #777585 is a reply to message #777093] Tue, 10 January 2012 19:02 Go to previous messageGo to next message
Robert Emmons is currently offline Robert Emmons
Messages: 28
Registered: July 2009
Junior Member
In case anyone is having the same problem, I was able to install Subversive by:

* Download Subversive-incubation-0.7.9.I20110819-1700.zip from http://www.eclipse.org/subversive/downloads.php#latest_release
* Unzip it in a folder
* From Eclipse Helios (64-bit), choose Help/Install New Software/Add a site/Local/
* Navigate to the unzip folder and install Subversive from there

After the install, I was asked to choose a connector and I chose one tagged as good for all systems, not just 32-bit.

I'm running 64-bit Eclipse Indigo SR1 on Windows 7.

Subversive seems to be working.

[Updated on: Tue, 10 January 2012 19:03]

Report message to a moderator

Re: Error installing into Java EE Windows 64-bit package [message #820179 is a reply to message #701440] Tue, 13 March 2012 20:34 Go to previous messageGo to next message
Richard Katz is currently offline Richard Katz
Messages: 2
Registered: March 2012
Junior Member
I'm getting this same error on Ubuntu 11.10 with Eclipse 3.7.2 64Bit. However, on Windows 7 64Bit, I did not get this error.

It seems like an odd error. Obviously the repository is actually there, because you have to connect to it before you get this error.

Is there possibly some state or circumstance of Eclipse that causes this?

Thanks.

Regards,

Rich.
----------------------------------
An error occurred while collecting items to be installed

session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

No repository found containing: osgi.bundle,org.eclipse.team.svn.core,0.7.9.I20120210-1700

No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn,0.7.9.I20120210-1700

No repository found containing: osgi.bundle,org.eclipse.team.svn.help,0.7.9.I20120210-1700

No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.nl1,0.7.9.I20120210-1700

No repository found containing: osgi.bundle,org.eclipse.team.svn.resource.ignore.rules.jdt,0.7.9.I20111119-1700

No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.resource.ignore.rules.jdt,0.7.9.I20111119-1700

No repository found containing: osgi.bundle,org.eclipse.team.svn.revision.graph,0.7.9.I20111123-1700

No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.revision.graph,0.7.9.I20120210-1700

No repository found containing: osgi.bundle,org.eclipse.team.svn.ui,0.7.9.I20120210-1700

No repository found containing: osgi.bundle,org.eclipse.team.svn.ui.nl1,0.7.9.I20120210-1700
Re: Error installing into Java EE Windows 64-bit package [message #867754 is a reply to message #701440] Tue, 01 May 2012 13:11 Go to previous messageGo to next message
Adrian Fraisse is currently offline Adrian Fraisse
Messages: 4
Registered: May 2012
Junior Member
Hi,

I'm also trying to get Subversive installed on Eclipse Indigo 64 bit for win7, without success.

I followed every step you listed on your previous post, and everything seems to go fine except for the "select connectors" part wich simply doesn't show up.

In the end, my IDE restart successfuly, Subversive is in the installed plugins list, but the SVN options under New Projects are missing.

Is there anything I missed ?

Thanks for your answers, this is driving me creazy.

Regards,

Adrian
Re: Error installing into Java EE Windows 64-bit package [message #868142 is a reply to message #867754] Tue, 01 May 2012 17:12 Go to previous messageGo to next message
Robert Emmons is currently offline Robert Emmons
Messages: 28
Registered: July 2009
Junior Member
Did you click "File/New/Other" in Eclipse? When I do, I see SVN as a choice. Also, if you right click a project do you see a menu that includes "Team" as a choice? That should allow you to commit and update your projects. Also "File/Import" should allow you to import and existing SVN project.

[Updated on: Tue, 01 May 2012 17:13]

Report message to a moderator

Re: Error installing into Java EE Windows 64-bit package [message #868527 is a reply to message #868142] Wed, 02 May 2012 06:43 Go to previous messageGo to next message
Adrian Fraisse is currently offline Adrian Fraisse
Messages: 4
Registered: May 2012
Junior Member
Yes I did...

I have no SVN options, nowhere. According to my installed software list, Subversive is up to date though...

I definitely don't get it.
Re: Error installing into Java EE Windows 64-bit package [message #868702 is a reply to message #868527] Wed, 02 May 2012 12:29 Go to previous messageGo to next message
Robert Emmons is currently offline Robert Emmons
Messages: 28
Registered: July 2009
Junior Member
Do you have SVN installed? I got my free copy here:

ubersvn.com

There are other free and paid suppliers of SVN.
Re: Error installing into Java EE Windows 64-bit package [message #869544 is a reply to message #868702] Thu, 03 May 2012 14:56 Go to previous messageGo to next message
Adrian Fraisse is currently offline Adrian Fraisse
Messages: 4
Registered: May 2012
Junior Member
No I don't, but why should I ? I use google and assembla services. Or is there a need for a SVN client in addition to the subversion plugin ?
Re: Error installing into Java EE Windows 64-bit package [message #869565 is a reply to message #869544] Thu, 03 May 2012 15:48 Go to previous messageGo to next message
Robert Emmons is currently offline Robert Emmons
Messages: 28
Registered: July 2009
Junior Member
I guess you don't need to install SVN if you are using a remote server. I'm far from an expert in this. You've pretty much exhausted my limited knowledge.

At this point, all I can suggest is to uninstall/reinstall. You might want to try a new separate installation of Eclipse. As I recall, that just means unzipping Eclipse in a new separate folder. Then install Subversive in that new installation.

I'm pretty sure the Subversive installation should ask you to choose a connector to install or use. You may not be getting the menus because you have no connector. If I go to Eclips/Help/About/InstallationDetails/Features, I see 2 "Providers" and "Feature Names" near the bottom:

"Provider" "Feature Name"
Polarian Software Subversive SVN 1.6 SVN Kit Connector
Polarian Software Subvesive SVN Connectors

I don't recall installing these separately. Here is their website: polarion.com



Re: Error installing into Java EE Windows 64-bit package [message #869959 is a reply to message #869565] Sat, 05 May 2012 08:02 Go to previous message
Adrian Fraisse is currently offline Adrian Fraisse
Messages: 4
Registered: May 2012
Junior Member
Allright !

So I took your advice and reinstalled eclipse.
Turned out my previous installation of subversive skipped the "Choose SVN Connector" part, so I reinstalled it from the the polarion website you gave me, and everything went well.

It's finally working ! Thanks a lot, you've been of great help.
I can finally work on that java assignement I have now Smile
Previous Topic:RA layer request failed
Next Topic:svn cannot save my login informations
Goto Forum:
  


Current Time: Sat Sep 20 12:05:30 GMT 2014

Powered by FUDForum. Page generated in 0.02826 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software